> **Warning**
>
> ## THIS IS AN AUTOGENERATED FILE. DO NOT EDIT.
>
> ## Please edit the corresponding file in [/packages/mermaid/src/docs/config/setup/config/functions/addDirective.md](../../../../../packages/mermaid/src/docs/config/setup/config/functions/addDirective.md).

[**mermaid**](../../README.md)

---

# Function: addDirective()

> **addDirective**(`directive`): `void`

Defined in: [packages/mermaid/src/config.ts:188](https://github.com/mermaid-js/mermaid/blob/master/packages/mermaid/src/config.ts#L188)

Pushes in a directive to the configuration

## Parameters

### directive

[`MermaidConfig`](../../mermaid/interfaces/MermaidConfig.md)

The directive to push in

## Returns

`void`
